Bug 839643 - [eap6] invalid configuration retrieved for Connection Factory (Profile) resource
[eap6] invalid configuration retrieved for Connection Factory (Profile) resource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 847876
  Show dependency treegraph
 
Reported: 2012-07-12 09:31 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 847876 (view as bug list)
Environment:
Last Closed: 2013-09-01 05:59:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-07-12 09:31:04 EDT
Version-Release number of selected component (if applicable):
Version: 4.5.0-SNAPSHOT
Build Number: fce34e6

How reproducible:always


Steps to Reproduce:
1.import EAP6 running in domain mode
2.go to full (profile)/messaging/default/RemoteConnectionFactory
3.open Configuration tab
  
Actual results: configuratoin contains errors

The following configuration properties have invalid values: [Initial Message Packet Size]. The values must be corrected before the configuration can be saved.


Expected results: configuration does not contain errors
Comment 1 Stefan Negrea 2012-08-08 18:24:08 EDT
This is an EAP6 error not an plugin error. EAP6 does not report a value for initial-message-packet-size when queried at profile level although it is required to according to the resource descriptor. The weird part is that the default value appears in the managed servers.

Here is the attribute descriptor:
 "initial-message-packet-size" => {
                "description" => "The initial size of messages created through this factory.",
                "type" => INT,
                "nillable" => false,
                "unit" => "BYTES",
                "access-type" => "read-only",
                "storage" => "configuration"
            }

I was not able to get a value for this property even if I requested the server to include-defaults and include-runtime information.


I will open a JIRA against EAP6 to get this resolved.
Comment 2 Stefan Negrea 2012-08-13 17:31:50 EDT
Created AS7 JIRA to fix the underlying issue: https://issues.jboss.org/browse/AS7-5357


Until the AS7 issue is fixed the property will be removed from profiles because it is a read-only property that users will not be able to updated. The property value will be visible on the actual managed server (and standalone subsystem). The AS7 bug does not affect the managed server property that still reports the server default value.
Comment 4 Stefan Negrea 2012-09-26 17:16:44 EDT
The AS7 JIRA (see comment #2) have been resolved. The property is no longer available on domain profiles. The patch currently in place is sufficient to fully resolve the reported issue.
Comment 5 Heiko W. Rupp 2013-09-01 05:59:02 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.